Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1462982 - [RFE] Policy plugin interface
[RFE] Policy plugin interface
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: krb5 (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Robbie Harwood
Patrik Kis
Aneta Šteflová Petrová
https://github.com/krb5/krb5/pull/682
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 15:43 EDT by Robbie Harwood
Modified: 2018-05-11 12:49 EDT (History)
7 users (show)

See Also:
Fixed In Version: krb5-1.15.1-12.el7
Doc Type: Enhancement
Doc Text:
_krb5_ now includes the `kdcpolicy` interface This update introduces the Kerberos key distribution center (KDC) policy interface, known as `kdcpolicy`, to the _krb5_ package. Using `kdcpolicy`, administrators can provide a plug-in to _krb5_, which enables them to control ticket lifetimes and gives them more fine-grained control on service ticket issuance. For details, see the MIT Kerberos Documentation: https://web.mit.edu/kerberos/krb5-1.16/doc/plugindev/kdcpolicy.html.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 04:41:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0666 None None None 2018-04-10 04:42 EDT

  None (edit)
Comment 3 Robbie Harwood 2017-08-22 16:55:09 EDT
In Fedora: krb5 >= 1.15.1-24

(Note: this depends on y2038 fixes, for which I have included upstream's test, but we aren't required to worry about at this juncture.  There are also two clockskew fixes for consistency.)
Comment 13 errata-xmlrpc 2018-04-10 04:41:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0666

Note You need to log in before you can comment on or make changes to this bug.